%define		kdeplasmaver	6.3.4
%define		qtver		6.6.0
%define		kpname		kwayland

Summary:	Qt-style Client library wrapper for the Wayland libraries
Name:		kp6-%{kpname}
Version:	6.3.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	c718d2e5fd13c46a7254289f2ee6def3
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	plasma-wayland-protocols-devel >= 1.14.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	wayland-devel
BuildRequires:	xz
BuildRequires:	Qt6WaylandClient-devel >= %{qtver}
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
Qt-style Client library wrapper for the Wayland libraries.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKWaylandClient.so.*.*
%ghost %{_libdir}/libKWaylandClient.so.6
%{_datadir}/qlogging-categories6/kwayland.categories
%{_datadir}/qlogging-categories6/kwayland.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KWayland
%{_libdir}/cmake/KWayland
%{_libdir}/libKWaylandClient.so
%{_pkgconfigdir}/KWaylandClient.pc
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kwayland.git;a=log;h=master

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9be0773
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4e92441
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1bf44d9
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b581876
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9edfd0e
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 334969b
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3c55b6c
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 24a136f
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0c2064c
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9cfeb43
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3039a0b
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2bafc93
- updated to 6.1.5

* Mon Aug 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 51c03cb
- BR: plasma-wayland-protocols-devel

* Sun Aug 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 361e828
- BR: plasma-wayland-protocols >= 1.13.0-2

* Sun Aug 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 453a639
- BR: Qt6WaylandClient-devel

* Sun Aug 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b5930b0
- BR: plasma-wayland-protocols

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ed334d0
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b4eaaf8
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8c22342
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5b96fb6
- updated to 6.1.1

